/*
 * Antonio Ronaldo Nugoli 
 * Rgm: 015724
 * Universidade Estadual de Mato  Grosso do Sul - UEMS
 * Sistemas de Informao
 * Projeto Final de Curso II
 * 
 * Implementao de um Game Interativo Utilizando a Biblioteca OpenCV
 * Jogo: Nugoli Racing Web Cam
 * 
 * Descrio da Classe:
 * Criar uma nova tela contendo uma imagem com informaes sobre o jogo
 * 
 */

package telas;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class Sobre extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ImageIcon fundo;

	// Cria uma nova janela 
	public Sobre() {
		setTitle("Sobre....");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(600, 438);
		setLocationRelativeTo(null);
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		add(areaSobre());
	}
	// Adiciona uma imagem de fundo a janela
	public JPanel areaSobre() {
		fundo = new ImageIcon("img\\sobre.png");
		JPanel area = new JPanel();
		JLabel tela = new JLabel();
		tela.setIcon(fundo);
		tela.setBounds(0, 0, 600, 438);
		area.add(tela);
		return area;
	}
}
