/*
 * Antonio Ronaldo Nugoli 
 * Rgm: 015724
 * Universidade Estadual de Mato  Grosso do Sul - UEMS
 * Sistemas de Informao
 * Projeto Final de Curso II
 * 
 * Implementao de um Game Interativo Utilizando a Biblioteca OpenCV
 * Jogo: Nugoli Racing Web Cam
 * 
 * Descrio da Classe:
 * Classe pricipal ir instanciar um novo objeto TelaPrincipal dando inicio ao jogo
 */

package jogo;

import org.opencv.core.Core;

import telas.TelaPrincipal;

public class Jogo {
	public static void main(String[] args) {
		//carrega a biblioteca OpenCV
		 System.loadLibrary(Core.NATIVE_LIBRARY_NAME);
		//Por padrao a tela  iniciada com resoluo 800x600 tipo 1;
		TelaPrincipal tela = new TelaPrincipal(800, 600, 1);
		tela.setVisible(true);
	}
}


	